## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.pages.intropage
Class IntroConstants

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.pages.intropage.IntroConstants

    public class IntroConstants

extends java.lang.Object

Constants for introduction page

Author:
  Idull

Field Summary
`static java.lang.String` `CHEAT_SHEET_ELEMENT_ID`
`static java.lang.String` `DESCRIPTION_ELEMENT_ID`
`static java.lang.String` `EXTENSION_POINT_INTRO_ELEMENT`
`static java.lang.String` `EXTENSION_POINT_INTRO_ELEMENT_HEADING`
`static java.lang.String` `EXTENSION_POINT_INTRO_ELEMENT_HYPERLINK`
`static java.lang.String` `EXTENSION_POINT_INTRO_ELEMENT_HYPERLINK_ACTION`
`static java.lang.String` `EXTENSION_POINT_INTRO_ELEMENT_ICON`
`static java.lang.String` `EXTENSION_POINT_INTRO_ELEMENT_ID`
`static java.lang.String` `EXTENSION_POINT_INTRO_ELEMENT_TEXT`
`static java.lang.String` `EXTENSION_POINT_INTRO_PAGE`
`static java.lang.String` `EXTENSION_POINT_INTRO_PAGE_HELPID`
`static java.lang.String` `EXTENSION_POINT_INTRO_PAGE_NAME`
`static java.lang.String` `EXTENSION_POINT_NAME_INTRO_PAGE`
`static java.lang.String` `HELP_ELEMENT_ID`
`static java.lang.String` `INTRODUCTION_PAGE_ID`
`static java.lang.String` `START_ELEMENT_ID`

Constructor Summary
`IntroConstants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXTENSION_POINT_NAME_INTRO_PAGE

    public static final java.lang.String EXTENSION_POINT_NAME_INTRO_PAGE

See Also:
  Constant Field Values

### EXTENSION_POINT_INTRO_PAGE

    public static final java.lang.String EXTENSION_POINT_INTRO_PAGE

See Also:
  Constant Field Values

### EXTENSION_POINT_INTRO_PAGE_NAME

    public static final java.lang.String EXTENSION_POINT_INTRO_PAGE_NAME

See Also:
  Constant Field Values

### EXTENSION_POINT_INTRO_PAGE_HELPID

    public static final java.lang.String EXTENSION_POINT_INTRO_PAGE_HELPID

See Also:
  Constant Field Values

### EXTENSION_POINT_INTRO_ELEMENT

    public static final java.lang.String EXTENSION_POINT_INTRO_ELEMENT

See Also:
  Constant Field Values

### EXTENSION_POINT_INTRO_ELEMENT_ICON

    public static final java.lang.String EXTENSION_POINT_INTRO_ELEMENT_ICON

See Also:
  Constant Field Values

### EXTENSION_POINT_INTRO_ELEMENT_HEADING

    public static final java.lang.String EXTENSION_POINT_INTRO_ELEMENT_HEADING

See Also:
  Constant Field Values

### EXTENSION_POINT_INTRO_ELEMENT_TEXT

    public static final java.lang.String EXTENSION_POINT_INTRO_ELEMENT_TEXT

See Also:
  Constant Field Values

### EXTENSION_POINT_INTRO_ELEMENT_ID

    public static final java.lang.String EXTENSION_POINT_INTRO_ELEMENT_ID

See Also:
  Constant Field Values

### EXTENSION_POINT_INTRO_ELEMENT_HYPERLINK

    public static final java.lang.String EXTENSION_POINT_INTRO_ELEMENT_HYPERLINK

See Also:
  Constant Field Values

### EXTENSION_POINT_INTRO_ELEMENT_HYPERLINK_ACTION

    public static final java.lang.String EXTENSION_POINT_INTRO_ELEMENT_HYPERLINK_ACTION

See Also:
  Constant Field Values

### INTRODUCTION_PAGE_ID

    public static final java.lang.String INTRODUCTION_PAGE_ID

See Also:
  Constant Field Values

### HELP_ELEMENT_ID

    public static final java.lang.String HELP_ELEMENT_ID

See Also:
  Constant Field Values

### CHEAT_SHEET_ELEMENT_ID

    public static final java.lang.String CHEAT_SHEET_ELEMENT_ID

See Also:
  Constant Field Values

### START_ELEMENT_ID

    public static final java.lang.String START_ELEMENT_ID

See Also:
  Constant Field Values

### DESCRIPTION_ELEMENT_ID

    public static final java.lang.String DESCRIPTION_ELEMENT_ID

See Also:
  Constant Field Values

Constructor Detail

### IntroConstants

    public IntroConstants()